/**
 * @file peerpull_migration.h
 *
 * @brief PeerPull migration algorithm (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: peerpull_migration.h 2684 2008-06-25 15:44:33Z wittenbu $
 */

#ifndef PEERPULL_MIGRATION_H
#define PEERPULL_MIGRATION_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

void peerpull_migration_start(SERVICE_service_t* service);
void peerpull_migration_stop(SERVICE_service_t* service);
void peerpull_migration_trigger(SERVICE_service_t* service);

#endif	// PEERPULL_MIGRATION_H
